Subject: Re: __ioremap_at() in 2.4.0-test9-pre2

From: Dan Malek <[email-masked]>
Date: Sun, 01 Oct 2000 17:30:20 -0400

Paul Mackerras wrote:

> Ummm, no, I think we may have a misunderstanding here.
>
> First, you can use ioremap before the kernel VM allocator is set up,

Yes, and I do that.  The problem is many of the embedded boards map
stuff
above 0xff000000 (or 0xf0000000), which overlaps your "standard" PowerPC
in/out mapping.

On systems that have PCI bridges, legacy hardware, and want to use
the standard drivers that in/out, I have to put the IO_BASE someplace
else, or remap everything later when the VM allocator is initialized.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/